/* shared.h
 * S.Coffin  GV Computing   3/93
 *
 * bits for compatibility with the IGS
 *
 * adapted from tcasey@mv.us.adobe.com
 */

#ifndef SHARED_H
#define SHARED_H

#define MAX_BRD_SZ 25

typedef enum {
	UNKNOWN	=  0,
   	PROMPT	=  1,	/* A Prompt (never)	*/
	BEEP	=  2, 	/* \7 telnet 		*/
	BOARD	=  3,	/* Board being drawn 	*/
	DOWN	=  4,	/* The server is going down */
	ERROR	=  5,	/* An error reported	*/
   	FIL	=  6,	/* File being sent	*/
	GAMES	=  7,	/* Games listing	*/
   	HELP	=  8,	/* Help file		*/
	INFO	=  9,	/* Generic info		*/
	LAST	= 10,	/* Last command		*/
   	KIBITZ	= 11,	/* Kibitz strings	*/
	LOAD	= 12,	/* Loading a game	*/
	LOOK_M	= 13,	/* Look 		*/
   	MESSAGE	= 14,	/* Message listing	*/
   	MOVE	= 15,	/* Move #:(B) A1	*/
	OBSERVE	= 16,	/* Observe report	*/
	REFRESH	= 17,	/* Refresh of a board	*/
   	SAVED	= 18,	/* Stored command	*/
   	SAY	= 19,	/* Say string		*/
   	SCORE	= 20,	/* Score report		*/
   	SHOUT	= 21,	/* Shout string		*/
   	STATUS	= 22,	/* Current Game status	*/
	STORED	= 23,	/* Stored games		*/
   	TELL	= 24,	/* Tell string		*/
	THIST	= 25,	/* Thist report		*/
	TIM	= 26,	/* times command	*/
	WHO	= 27,	/* who command		*/
	UNDO	= 28,	/* Undo report		*/
	SHOW    = 29,
	TRANS   = 30,	/* Translation info	*/
	PROVERB = 31,	/* Go proverb		*/
	YELL	= 32,	/* Channel yelling	*/
	WHATIS  = 33,	/* What is this ??	*/
	REVIEW  = 34,	/* review  		*/
	AUTOMAT =  35,  /* Automatch anouncement*/
	AUTOASK =  36,  /* Automatch accept     */
	TTT_BOARD= 37,  /* tic tac toe          */
	CHOICES = 38,   /* game choices		*/
	VERSION = 39, 	/* IGS version  	*/
	TELLRET = 40,	/* feddback after tell  */
	CLIVRFY = 41,	/* client verify message*/
	USER    = 42,	/* users command */
	SGFCMD	= 43	/* saved files in SGF format */
} MessageType;

/* these are for NNGS only, no equivalent on IGS */
#define EMOTE    500
#define EMOTETO  501
#define PONG 	 502

#define LOGGEDON WAITING
typedef enum {
	LOGON		= 0,
	PASSWORD	= 1,
	PASSWD_NEW	= 2,
	PASSWD_CONFIRM	= 3, 
	REGISTER	= 4, 
	WAITING		= 5,
	NOWPLAYING	= 6,
	NOWSCORING	= 7,
	NOWOBSERVING	= 8,
	TEACHING        = 9,
	COMPLETE        = 10 /* game complete */
} State;

typedef enum {
	NOOBSERVE,
	OBSERVING,
	PLAYING,
	SCORING
} ObsState;

#define NUM_RANKS num_ranks
#define NUM_SPECIAL 2

/*
 * verticies
 */
#define TOP 0
#define MID 1
#define BOT 2

#endif /* SHARED_H */
